View Issue Details

IDProjectCategoryView StatusLast Update
13554Bug reports[All Projects] RemoteControlpublic2018-04-06 11:47
ReporterarkygeekAssigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.x 
Summary13554: list_surveys only returns surveys belonging to user
Description

list_surveys only returns surveys belonging to user, but should be able to return all surveys that user has permissions for, similar to the function to get ALL survey for one user in the GUI : https://github.com/LimeSurvey/LimeSurvey/blob/master/application/models/Survey.php#L452

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.4.0+180219
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL
Server OS (if known)Linux
Webserver software & version (if known)not sure
PHP Version7.1

Activities

DenisChenu

DenisChenu

2018-04-05 08:37

developer   ~47335

OK, some test :

User with "Surveys read" and no survey : show whole survey
User with "Super admin" and no survey : show whole survey
User without any global rights (except login), Permission set on one survey to Text element/read : show only this survey
Same user + set owner to one survey : show the 2 surveys

Then seem fixed in 3.6.1 (or 3.6.2 but think 3.6.1 is OK)

Issue History

Date Modified Username Field Change
2018-03-29 16:41 arkygeek New Issue
2018-03-29 16:43 DenisChenu Assigned To => DenisChenu
2018-03-29 16:43 DenisChenu Status new => assigned
2018-04-05 08:37 DenisChenu Assigned To DenisChenu =>
2018-04-05 08:37 DenisChenu Status assigned => resolved
2018-04-05 08:37 DenisChenu Resolution open => fixed
2018-04-05 08:37 DenisChenu Fixed in Version => 3.6.x
2018-04-05 08:37 DenisChenu Note Added: 47335
2018-04-06 11:47 markusfluer Status resolved => closed